Extension for interacting with Platypush instances from a browser
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

76 lines
2.3 KiB

2 years ago
{
"name": "platypush",
"version": "0.1.9",
2 years ago
"description": "Web extension for interacting with one or more Platypush instances via browser",
"author": "Fabio Manganiello <info@fabiomanganiello.com>",
"license": "MIT",
"engines": {
"node": ">=10"
},
"scripts": {
"lint": "eslint --ext .js,.vue src",
"prettier": "prettier \"src/**/*.{js,vue}\"",
"prettier:write": "npm run prettier -- --write",
"build": "cross-env NODE_ENV=production webpack --hide-modules",
"build:dev": "cross-env NODE_ENV=development webpack --hide-modules",
"build-zip": "node scripts/build-zip.js",
"watch": "npm run build -- --watch",
"watch:dev": "cross-env HMR=true npm run build:dev -- --watch"
},
"husky": {
"hooks": {
"pre-commit": "pretty-quick --staged"
}
},
"dependencies": {
"@johmun/vue-tags-input": "^2.1.0",
"@postlight/mercury-parser": "^2.2.0",
2 years ago
"axios": "^0.19.0",
"babel-runtime": "^6.26.0",
"prismjs": "^1.20.0",
2 years ago
"vue": "^2.6.10",
"vue-markdown": "^2.2.4",
"vue-prism-editor": "^0.6.1",
"vuejs-auto-complete": "^0.9.0",
2 years ago
"webextension-polyfill": "^0.3.1"
},
"devDependencies": {
"@babel/core": "^7.1.2",
"@babel/plugin-proposal-optional-chaining": "^7.0.0",
"@babel/preset-env": "^7.1.0",
"@babel/runtime-corejs3": "^7.4.0",
"archiver": "^3.0.0",
"babel-eslint": "^10.0.3",
"babel-loader": "^8.0.2",
"copy-webpack-plugin": "^5.1.1",
"core-js": "^3.0.1",
"cross-env": "^5.2.1",
2 years ago
"css-loader": "^3.4.0",
"ejs": "^2.6.1",
"eslint": "^6.6.0",
"eslint-config-prettier": "^6.7.0",
"eslint-config-standard": "^14.1.0",
"eslint-friendly-formatter": "^4.0.1",
"eslint-loader": "^3.0.2",
"eslint-plugin-import": "^2.18.2",
"eslint-plugin-node": "^10.0.0",
"eslint-plugin-prettier": "^3.1.1",
"eslint-plugin-promise": "^4.2.1",
"eslint-plugin-standard": "^4.0.1",
"eslint-plugin-vue": "^6.0.1",
"file-loader": "^5.0.2",
"husky": "^2.4.0",
"mini-css-extract-plugin": "^0.9.0",
"node-sass": "^4.9.3",
"prettier": "^1.17.1",
"pretty-quick": "^1.8.0",
"sass-loader": "^7.1.0",
"vue-loader": "^15.4.2",
"vue-template-compiler": "^2.6.10",
"web-ext-types": "^2.1.0",
"webpack": "^4.20.2",
"webpack-cli": "^3.3.10",
"webpack-extension-reloader": "^1.1.0"
}
}